Bug 684065 - missing parenthesis in backoff_from_master()
missing parenthesis in backoff_from_master()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 684862
  Show dependency treegraph
 
Reported: 2011-03-10 20:24 EST by Kamil Dudka
Modified: 2011-07-06 17:36 EDT (History)
1 user (show)

See Also:
Fixed In Version: krb5-1.9.1-5.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 684862 (view as bug list)
Environment:
Last Closed: 2011-03-18 13:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kamil Dudka 2011-03-10 20:24:49 EST
Description of problem:
statement with no effect


Version-Release number of selected component (if applicable):
krb5-1.9-6.fc16


Steps to Reproduce:
1. build the package

  
Actual results:
kpropd.c:996:9: warning: value computed is not used [-Wunused-value]


Additional info:
--- a/src/slave/kpropd.c
+++ b/src/slave/kpropd.c
@@ -993,7 +993,7 @@ unsigned int backoff_from_master(int *cnt) {
     btime = (unsigned int)(2<<(*cnt));
     if (btime > MAX_BACKOFF) {
         btime = MAX_BACKOFF;
-        *cnt--;
+        (*cnt)--;
     }

     return (btime);
Comment 2 Fedora Update System 2011-06-24 15:39:14 EDT
krb5-1.9.1-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/krb5-1.9.1-5.fc15
Comment 3 Fedora Update System 2011-07-06 17:35:58 EDT
krb5-1.9.1-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.